mscorlib 4.0.0.0 System.Object System.Collections.Generic.ICollection<TKey> System.Collections.Generic.IEnumerable<TKey> System.Collections.ICollection System.Diagnostics.DebuggerDisplay("Count={Count}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Collections.Generic.CollectionDebuggerView`2)) To be added.

Represents a read-only, generic collection of key/value pairs.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of items in the dictionary.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<TKey> To be added.

  Returns an enumerator that iterates through the .

  An enumerator that can be used to iterate through the collection.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Copies the elements of the dictionary to an array, starting at the specified array index.

  The one-dimensional array that is the destination of the elements copied from the dictionary. The array must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  4.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets a value that indicates whether access to the dictionary is synchronized (thread safe).

- Property
  4.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Gets an object that can be used to synchronize access to the dictionary.

- Method
  4.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Returns an enumerator that iterates through a collection.

  An enumerator that can be used to iterate through the collection.